FAQ  •  Register  •  Login

Veetle error

<<

tuareg64ve

Serviio lover

Posts: 54

Joined: Wed Mar 28, 2012 4:38 am

Post Sun Feb 22, 2015 1:44 pm

Veetle error

Hi Guys,

does anyone get the following error?

  Code:
2015-02-22 14:39:55,483 DEBUG [OnlineLibraryManager] Resource http://www.veetle.com not in cache, (re)loading it
2015-02-22 14:39:55,483 DEBUG [WebResourceParser] Parsing web resource 'http://www.veetle.com'
2015-02-22 14:39:56,928 DEBUG [WebResourceParser] Unexpected error during url extractor plugin matching (EightTracks): index is out of range 0..-1 (index = 0)
2015-02-22 14:39:56,932 DEBUG [FeedItemUrlExtractor] Playlist extractor:   - transmitted from WebResourceParser - playlistUrl: null
2015-02-22 14:39:56,933 WARN  [FeedUpdaterThread] An error occured while trying to parse an online resouce requiring a plugin, provide the plugin or remove the resource: No plugin for web resource http://www.veetle.com has been found.


is there any update of the plugin available?
Thanks
<<

tuareg64ve

Serviio lover

Posts: 54

Joined: Wed Mar 28, 2012 4:38 am

Post Sun Feb 22, 2015 1:55 pm

Re: Veetle error

Again, if I try to test the plugin, I get the following.
Is something I am missing?

  Code:
-bash-4.1$ groovy -cp lib/serviio.jar:lib/slf4j-api.jar:lib/slf4j-log4j12.jar:lib/log4j.jar:lib/org.restlet.jar plugins/Veetle.groovy
Feb 22, 2015 2:51:43 PM org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule newModule
WARNING: Module [groovy-nio] - Unable to load extension class [org.codehaus.groovy.runtime.NioGroovyMethods]
animation-1item = WebResourceItem [title=null, cacheKey=null, additionalInfo={thumbID=null, programID=null}, releaseDate=Sun Feb 22 14:51:45 CET 2015]
WebResourceItem [title=null, cacheKey=null, additionalInfo={thumbID=null, programID=null}, releaseDate=Sun Feb 22 14:51:45 CET 2015]
ContentURLContainer [fileType=VIDEO, contentUrl=3, expiresImmediately=false, live=true, ]
<<

zip

User avatar

Serviio developer / Site Admin

Posts: 16505

Joined: Sat Oct 24, 2009 12:24 pm

Location: London, UK

Post Sun Feb 22, 2015 5:12 pm

Re: Veetle error

is that Groovy 1.8?
<<

tuareg64ve

Serviio lover

Posts: 54

Joined: Wed Mar 28, 2012 4:38 am

Post Sun Feb 22, 2015 5:52 pm

Re: Veetle error

zip wrote:is that Groovy 1.8?


the following is the output of #groovy -v

  Code:
[root@nas ~]# groovy -v
Feb 22, 2015 6:48:48 PM org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule newModule
WARNING: Module [groovy-nio] - Unable to load extension class [org.codehaus.groovy.runtime.NioGroovyMethods]
Groovy Version: 2.3.0-beta-2 JVM: 1.6.0_34 Vendor: Sun Microsystems Inc. OS: Linux
<<

zip

User avatar

Serviio developer / Site Admin

Posts: 16505

Joined: Sat Oct 24, 2009 12:24 pm

Location: London, UK

Post Sun Feb 22, 2015 6:41 pm

Re: Veetle error

I guess the plugin doesn't work anymore
<<

tuareg64ve

Serviio lover

Posts: 54

Joined: Wed Mar 28, 2012 4:38 am

Post Sun Feb 22, 2015 8:29 pm

Re: Veetle error

do you have any idea of what this error is?
which line in the plugin?

  Code:
Unexpected error during url extractor plugin matching (EightTracks): index is out of range 0..-1 (index = 0)
<<

zip

User avatar

Serviio developer / Site Admin

Posts: 16505

Joined: Sat Oct 24, 2009 12:24 pm

Location: London, UK

Post Mon Feb 23, 2015 12:01 am

Re: Veetle error

I don't know, I didn't write the plugin. You will have to debug it.

Return to Plugin development

Who is online

Users browsing this forum: No registered users and 2 guests

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.